## org.omg.SendingContext
Class CodeBaseHelper

    java.lang.Object
      |
      +--org.omg.SendingContext.CodeBaseHelper

public class CodeBaseHelper
extends java.lang.Object

Helper class for : CodeBase

Author:
  OpenORB Compiler

Constructor Summary
`CodeBaseHelper()`

Method Summary
`static CodeBase` `extract(Any a)` Extract CodeBase from an any
`static java.lang.String` `id()` Return the CodeBase IDL ID
`static void` `insert(Any a, CodeBase t)` Insert CodeBase into an any
`static CodeBase` `narrow(Object obj)` Narrow CORBA::Object to CodeBase
`static CodeBase` `read(InputStream istream)` Read CodeBase from a marshalled stream
`static TypeCode` `type()` Return the CodeBase TypeCode
`static CodeBase` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to CodeBase
`static void` `write(OutputStream ostream, CodeBase value)` Write CodeBase into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeBaseHelper

    public CodeBaseHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodeBase t)

  Insert CodeBase into an any
  Parameters:
    `a` - an any
    `t` - CodeBase value

### extract

    public static CodeBase extract(Any a)

  Extract CodeBase from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodeBase value

### type

    public static TypeCode type()

  Return the CodeBase TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodeBase IDL ID
  Returns:
    an ID

### read

    public static CodeBase read(InputStream istream)

  Read CodeBase from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodeBase value

### write

    public static void write(OutputStream ostream,
                             CodeBase value)

  Write CodeBase into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodeBase value

### narrow

    public static CodeBase narrow(Object obj)

  Narrow CORBA::Object to CodeBase
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CodeBase Object

### unchecked_narrow

    public static CodeBase unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to CodeBase
  Parameters:
    `obj` - the CORBA Object
  Returns:
    CodeBase Object